> For the complete documentation index, see [llms.txt](https://docs.secure-contacts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.secure-contacts.com/documentation/app-configuration-policy-name-values-for-sca/sca-configuration-aad-filters-and-groups-2.md).

# Copy of SCA Configuration - SecContacts.AADGroups

### **SecContacts.AADGroups** <a href="#seccontacts.aadgroups" id="seccontacts.aadgroups"></a>

**This setting allows you to define an Azure AD group that filters which AAD accounts are used as contacts.** Only members of the selected group will be synchronized and shown as AAD contacts in SCA.

* Name: `SecContacts.AADGroups`
* Value: `[{"name":"<AAD group name>", "value":"<AAD group ID>"}]`

The Value property is a JSON Array of `name` `value` pairs.

{% hint style="success" %}
You can add one or multiple AADGroups to this array as needed. Each group becomes a separate data source in SCA and is auto-enumerated. e.g. AAD1, AAD2, etc. &#x20;
{% endhint %}

Replace **\<AAD group name>** with the name of the AAD Group

* e.g. `AppMemberGroup`

Replace **\<AAD group ID>** with the Object Id of the AAD Group

* e.g. `15e3a3d2-50a6-43e3-137e-a44316d0b448`

{% hint style="danger" %}
To use full AAD and add another group as a data source in SCA, add a group that contains all your AAD users (e.g. All Users) along with the additional group to your configuration.
{% endhint %}

### Optional properties for SecContacts.AADGroups in SCA 3.0

* Name: `SecContacts.AADGroups`
* Value: `[{"name":"<AAD group name>", "value":"<AAD group ID>", "transitive":"true", "epHomePhone":"<ext.prop.HomePhone>", "epPrivateMobilePhone":"<ext.prop.MobilePhone>"}]`

The `Value` is a JSON array containing one or more AAD groups. Each object in the array must include the mandatory fields:

Replace **\<AAD group name>** with the name of the AAD Group

* e.g. `AppMemberGroup`

Replace **\<AAD group ID>** with the Object Id of the AAD Group

* e.g. `15e3a3d2-50a6-43e3-137e-a44316d0b448`

You may also optionally include:

* `transitive`: Set to `"true"` to include nested (transitive) group members
* `epHomePhone`: Replace **\<ext.prop.HomePhone>** with the name of the extension property name that holds the home phone number of an AAD user object&#x20;
* `epPrivateMobilePhone`: Replace **\<ext.prop.MobilePhone>** with the name of the extension property name that holds the private mobile phone number of an AAD user object

{% hint style="success" %}
You can add one or multiple AADGroups to this array as needed. Each group becomes a separate data source in SCA and is auto-enumerated. e.g. AAD1, AAD2, etc. &#x20;
{% endhint %}

{% hint style="success" %}
[Rename SCA data sources](/documentation/app-configuration-policy-name-values-for-sca/sca-configuration-seccontacts.customdatasourcenames.md) to make them clear and understandable for end users
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.secure-contacts.com/documentation/app-configuration-policy-name-values-for-sca/sca-configuration-aad-filters-and-groups-2.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
